IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/64
Addresses2^64
/64 networks1
- Network
2c19:dd:dd0:3dec::/64- First address
2c19:dd:dd0:3dec::- Last address
2c19:dd:dd0:3dec:ffff:ffff:ffff:ffff- Addresses
- 18,446,744,073,709,551,616 (2^64)
- /64 networks (LANs)
- 1
- Full form
2c19:00dd:0dd0:3dec:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
c.e.d.3.0.d.d.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:dd0:3dec::/64 makes 256 subnets of /72.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:dd0:3dec::/72 | 2c19:dd:dd0:3dec:ff:ffff:ffff:ffff |
| 2 | 2c19:dd:dd0:3dec:100::/72 | 2c19:dd:dd0:3dec:1ff:ffff:ffff:ffff |
| 3 | 2c19:dd:dd0:3dec:200::/72 | 2c19:dd:dd0:3dec:2ff:ffff:ffff:ffff |
| 4 | 2c19:dd:dd0:3dec:300::/72 | 2c19:dd:dd0:3dec:3ff:ffff:ffff:ffff |
| 5 | 2c19:dd:dd0:3dec:400::/72 | 2c19:dd:dd0:3dec:4ff:ffff:ffff:ffff |
| 6 | 2c19:dd:dd0:3dec:500::/72 | 2c19:dd:dd0:3dec:5ff:ffff:ffff:ffff |
| 7 | 2c19:dd:dd0:3dec:600::/72 | 2c19:dd:dd0:3dec:6ff:ffff:ffff:ffff |
| 8 | 2c19:dd:dd0:3dec:700::/72 | 2c19:dd:dd0:3dec:7ff:ffff:ffff:ffff |
| 9 | 2c19:dd:dd0:3dec:800::/72 | 2c19:dd:dd0:3dec:8ff:ffff:ffff:ffff |
| 10 | 2c19:dd:dd0:3dec:900::/72 | 2c19:dd:dd0:3dec:9ff:ffff:ffff:ffff |
| 11 | 2c19:dd:dd0:3dec:a00::/72 | 2c19:dd:dd0:3dec:aff:ffff:ffff:ffff |
| 12 | 2c19:dd:dd0:3dec:b00::/72 | 2c19:dd:dd0:3dec:bff:ffff:ffff:ffff |
| 13 | 2c19:dd:dd0:3dec:c00::/72 | 2c19:dd:dd0:3dec:cff:ffff:ffff:ffff |
| 14 | 2c19:dd:dd0:3dec:d00::/72 | 2c19:dd:dd0:3dec:dff:ffff:ffff:ffff |
| 15 | 2c19:dd:dd0:3dec:e00::/72 | 2c19:dd:dd0:3dec:eff:ffff:ffff:ffff |
| 16 | 2c19:dd:dd0:3dec:f00::/72 | 2c19:dd:dd0:3dec:fff:ffff:ffff:ffff |
| 17 | 2c19:dd:dd0:3dec:1000::/72 | 2c19:dd:dd0:3dec:10ff:ffff:ffff:ffff |
| 18 | 2c19:dd:dd0:3dec:1100::/72 | 2c19:dd:dd0:3dec:11ff:ffff:ffff:ffff |
| 19 | 2c19:dd:dd0:3dec:1200::/72 | 2c19:dd:dd0:3dec:12ff:ffff:ffff:ffff |
| 20 | 2c19:dd:dd0:3dec:1300::/72 | 2c19:dd:dd0:3dec:13ff:ffff:ffff:ffff |
| 21 | 2c19:dd:dd0:3dec:1400::/72 | 2c19:dd:dd0:3dec:14ff:ffff:ffff:ffff |
| 22 | 2c19:dd:dd0:3dec:1500::/72 | 2c19:dd:dd0:3dec:15ff:ffff:ffff:ffff |
| 23 | 2c19:dd:dd0:3dec:1600::/72 | 2c19:dd:dd0:3dec:16ff:ffff:ffff:ffff |
| 24 | 2c19:dd:dd0:3dec:1700::/72 | 2c19:dd:dd0:3dec:17ff:ffff:ffff:ffff |
| 25 | 2c19:dd:dd0:3dec:1800::/72 | 2c19:dd:dd0:3dec:18ff:ffff:ffff:ffff |
| 26 | 2c19:dd:dd0:3dec:1900::/72 | 2c19:dd:dd0:3dec:19ff:ffff:ffff:ffff |
| 27 | 2c19:dd:dd0:3dec:1a00::/72 | 2c19:dd:dd0:3dec:1aff:ffff:ffff:ffff |
| 28 | 2c19:dd:dd0:3dec:1b00::/72 | 2c19:dd:dd0:3dec:1bff:ffff:ffff:ffff |
| 29 | 2c19:dd:dd0:3dec:1c00::/72 | 2c19:dd:dd0:3dec:1cff:ffff:ffff:ffff |
| 30 | 2c19:dd:dd0:3dec:1d00::/72 | 2c19:dd:dd0:3dec:1dff:ffff:ffff:ffff |
| 31 | 2c19:dd:dd0:3dec:1e00::/72 | 2c19:dd:dd0:3dec:1eff:ffff:ffff:ffff |
| 32 | 2c19:dd:dd0:3dec:1f00::/72 | 2c19:dd:dd0:3dec:1fff:ffff:ffff:ffff |
| 33 | 2c19:dd:dd0:3dec:2000::/72 | 2c19:dd:dd0:3dec:20ff:ffff:ffff:ffff |
| 34 | 2c19:dd:dd0:3dec:2100::/72 | 2c19:dd:dd0:3dec:21ff:ffff:ffff:ffff |
| 35 | 2c19:dd:dd0:3dec:2200::/72 | 2c19:dd:dd0:3dec:22ff:ffff:ffff:ffff |
| 36 | 2c19:dd:dd0:3dec:2300::/72 | 2c19:dd:dd0:3dec:23ff:ffff:ffff:ffff |
| 37 | 2c19:dd:dd0:3dec:2400::/72 | 2c19:dd:dd0:3dec:24ff:ffff:ffff:ffff |
| 38 | 2c19:dd:dd0:3dec:2500::/72 | 2c19:dd:dd0:3dec:25ff:ffff:ffff:ffff |
| 39 | 2c19:dd:dd0:3dec:2600::/72 | 2c19:dd:dd0:3dec:26ff:ffff:ffff:ffff |
| 40 | 2c19:dd:dd0:3dec:2700::/72 | 2c19:dd:dd0:3dec:27ff:ffff:ffff:ffff |
| 41 | 2c19:dd:dd0:3dec:2800::/72 | 2c19:dd:dd0:3dec:28ff:ffff:ffff:ffff |
| 42 | 2c19:dd:dd0:3dec:2900::/72 | 2c19:dd:dd0:3dec:29ff:ffff:ffff:ffff |
| 43 | 2c19:dd:dd0:3dec:2a00::/72 | 2c19:dd:dd0:3dec:2aff:ffff:ffff:ffff |
| 44 | 2c19:dd:dd0:3dec:2b00::/72 | 2c19:dd:dd0:3dec:2bff:ffff:ffff:ffff |
| 45 | 2c19:dd:dd0:3dec:2c00::/72 | 2c19:dd:dd0:3dec:2cff:ffff:ffff:ffff |
| 46 | 2c19:dd:dd0:3dec:2d00::/72 | 2c19:dd:dd0:3dec:2dff:ffff:ffff:ffff |
| 47 | 2c19:dd:dd0:3dec:2e00::/72 | 2c19:dd:dd0:3dec:2eff:ffff:ffff:ffff |
| 48 | 2c19:dd:dd0:3dec:2f00::/72 | 2c19:dd:dd0:3dec:2fff:ffff:ffff:ffff |
| 49 | 2c19:dd:dd0:3dec:3000::/72 | 2c19:dd:dd0:3dec:30ff:ffff:ffff:ffff |
| 50 | 2c19:dd:dd0:3dec:3100::/72 | 2c19:dd:dd0:3dec:31ff:ffff:ffff:ffff |
| 51 | 2c19:dd:dd0:3dec:3200::/72 | 2c19:dd:dd0:3dec:32ff:ffff:ffff:ffff |
| 52 | 2c19:dd:dd0:3dec:3300::/72 | 2c19:dd:dd0:3dec:33ff:ffff:ffff:ffff |
| 53 | 2c19:dd:dd0:3dec:3400::/72 | 2c19:dd:dd0:3dec:34ff:ffff:ffff:ffff |
| 54 | 2c19:dd:dd0:3dec:3500::/72 | 2c19:dd:dd0:3dec:35ff:ffff:ffff:ffff |
| 55 | 2c19:dd:dd0:3dec:3600::/72 | 2c19:dd:dd0:3dec:36ff:ffff:ffff:ffff |
| 56 | 2c19:dd:dd0:3dec:3700::/72 | 2c19:dd:dd0:3dec:37ff:ffff:ffff:ffff |
| 57 | 2c19:dd:dd0:3dec:3800::/72 | 2c19:dd:dd0:3dec:38ff:ffff:ffff:ffff |
| 58 | 2c19:dd:dd0:3dec:3900::/72 | 2c19:dd:dd0:3dec:39ff:ffff:ffff:ffff |
| 59 | 2c19:dd:dd0:3dec:3a00::/72 | 2c19:dd:dd0:3dec:3aff:ffff:ffff:ffff |
| 60 | 2c19:dd:dd0:3dec:3b00::/72 | 2c19:dd:dd0:3dec:3bff:ffff:ffff:ffff |
| 61 | 2c19:dd:dd0:3dec:3c00::/72 | 2c19:dd:dd0:3dec:3cff:ffff:ffff:ffff |
| 62 | 2c19:dd:dd0:3dec:3d00::/72 | 2c19:dd:dd0:3dec:3dff:ffff:ffff:ffff |
| 63 | 2c19:dd:dd0:3dec:3e00::/72 | 2c19:dd:dd0:3dec:3eff:ffff:ffff:ffff |
| 64 | 2c19:dd:dd0:3dec:3f00::/72 | 2c19:dd:dd0:3dec:3fff:ffff:ffff:ffff |
| 65 | 2c19:dd:dd0:3dec:4000::/72 | 2c19:dd:dd0:3dec:40ff:ffff:ffff:ffff |
| 66 | 2c19:dd:dd0:3dec:4100::/72 | 2c19:dd:dd0:3dec:41ff:ffff:ffff:ffff |
| 67 | 2c19:dd:dd0:3dec:4200::/72 | 2c19:dd:dd0:3dec:42ff:ffff:ffff:ffff |
| 68 | 2c19:dd:dd0:3dec:4300::/72 | 2c19:dd:dd0:3dec:43ff:ffff:ffff:ffff |
| 69 | 2c19:dd:dd0:3dec:4400::/72 | 2c19:dd:dd0:3dec:44ff:ffff:ffff:ffff |
| 70 | 2c19:dd:dd0:3dec:4500::/72 | 2c19:dd:dd0:3dec:45ff:ffff:ffff:ffff |
| 71 | 2c19:dd:dd0:3dec:4600::/72 | 2c19:dd:dd0:3dec:46ff:ffff:ffff:ffff |
| 72 | 2c19:dd:dd0:3dec:4700::/72 | 2c19:dd:dd0:3dec:47ff:ffff:ffff:ffff |
| 73 | 2c19:dd:dd0:3dec:4800::/72 | 2c19:dd:dd0:3dec:48ff:ffff:ffff:ffff |
| 74 | 2c19:dd:dd0:3dec:4900::/72 | 2c19:dd:dd0:3dec:49ff:ffff:ffff:ffff |
| 75 | 2c19:dd:dd0:3dec:4a00::/72 | 2c19:dd:dd0:3dec:4aff:ffff:ffff:ffff |
| 76 | 2c19:dd:dd0:3dec:4b00::/72 | 2c19:dd:dd0:3dec:4bff:ffff:ffff:ffff |
| 77 | 2c19:dd:dd0:3dec:4c00::/72 | 2c19:dd:dd0:3dec:4cff:ffff:ffff:ffff |
| 78 | 2c19:dd:dd0:3dec:4d00::/72 | 2c19:dd:dd0:3dec:4dff:ffff:ffff:ffff |
| 79 | 2c19:dd:dd0:3dec:4e00::/72 | 2c19:dd:dd0:3dec:4eff:ffff:ffff:ffff |
| 80 | 2c19:dd:dd0:3dec:4f00::/72 | 2c19:dd:dd0:3dec:4fff:ffff:ffff:ffff |
| 81 | 2c19:dd:dd0:3dec:5000::/72 | 2c19:dd:dd0:3dec:50ff:ffff:ffff:ffff |
| 82 | 2c19:dd:dd0:3dec:5100::/72 | 2c19:dd:dd0:3dec:51ff:ffff:ffff:ffff |
| 83 | 2c19:dd:dd0:3dec:5200::/72 | 2c19:dd:dd0:3dec:52ff:ffff:ffff:ffff |
| 84 | 2c19:dd:dd0:3dec:5300::/72 | 2c19:dd:dd0:3dec:53ff:ffff:ffff:ffff |
| 85 | 2c19:dd:dd0:3dec:5400::/72 | 2c19:dd:dd0:3dec:54ff:ffff:ffff:ffff |
| 86 | 2c19:dd:dd0:3dec:5500::/72 | 2c19:dd:dd0:3dec:55ff:ffff:ffff:ffff |
| 87 | 2c19:dd:dd0:3dec:5600::/72 | 2c19:dd:dd0:3dec:56ff:ffff:ffff:ffff |
| 88 | 2c19:dd:dd0:3dec:5700::/72 | 2c19:dd:dd0:3dec:57ff:ffff:ffff:ffff |
| 89 | 2c19:dd:dd0:3dec:5800::/72 | 2c19:dd:dd0:3dec:58ff:ffff:ffff:ffff |
| 90 | 2c19:dd:dd0:3dec:5900::/72 | 2c19:dd:dd0:3dec:59ff:ffff:ffff:ffff |
| 91 | 2c19:dd:dd0:3dec:5a00::/72 | 2c19:dd:dd0:3dec:5aff:ffff:ffff:ffff |
| 92 | 2c19:dd:dd0:3dec:5b00::/72 | 2c19:dd:dd0:3dec:5bff:ffff:ffff:ffff |
| 93 | 2c19:dd:dd0:3dec:5c00::/72 | 2c19:dd:dd0:3dec:5cff:ffff:ffff:ffff |
| 94 | 2c19:dd:dd0:3dec:5d00::/72 | 2c19:dd:dd0:3dec:5dff:ffff:ffff:ffff |
| 95 | 2c19:dd:dd0:3dec:5e00::/72 | 2c19:dd:dd0:3dec:5eff:ffff:ffff:ffff |
| 96 | 2c19:dd:dd0:3dec:5f00::/72 | 2c19:dd:dd0:3dec:5fff:ffff:ffff:ffff |
| 97 | 2c19:dd:dd0:3dec:6000::/72 | 2c19:dd:dd0:3dec:60ff:ffff:ffff:ffff |
| 98 | 2c19:dd:dd0:3dec:6100::/72 | 2c19:dd:dd0:3dec:61ff:ffff:ffff:ffff |
| 99 | 2c19:dd:dd0:3dec:6200::/72 | 2c19:dd:dd0:3dec:62ff:ffff:ffff:ffff |
| 100 | 2c19:dd:dd0:3dec:6300::/72 | 2c19:dd:dd0:3dec:63ff:ffff:ffff:ffff |
| 101 | 2c19:dd:dd0:3dec:6400::/72 | 2c19:dd:dd0:3dec:64ff:ffff:ffff:ffff |
| 102 | 2c19:dd:dd0:3dec:6500::/72 | 2c19:dd:dd0:3dec:65ff:ffff:ffff:ffff |
| 103 | 2c19:dd:dd0:3dec:6600::/72 | 2c19:dd:dd0:3dec:66ff:ffff:ffff:ffff |
| 104 | 2c19:dd:dd0:3dec:6700::/72 | 2c19:dd:dd0:3dec:67ff:ffff:ffff:ffff |
| 105 | 2c19:dd:dd0:3dec:6800::/72 | 2c19:dd:dd0:3dec:68ff:ffff:ffff:ffff |
| 106 | 2c19:dd:dd0:3dec:6900::/72 | 2c19:dd:dd0:3dec:69ff:ffff:ffff:ffff |
| 107 | 2c19:dd:dd0:3dec:6a00::/72 | 2c19:dd:dd0:3dec:6aff:ffff:ffff:ffff |
| 108 | 2c19:dd:dd0:3dec:6b00::/72 | 2c19:dd:dd0:3dec:6bff:ffff:ffff:ffff |
| 109 | 2c19:dd:dd0:3dec:6c00::/72 | 2c19:dd:dd0:3dec:6cff:ffff:ffff:ffff |
| 110 | 2c19:dd:dd0:3dec:6d00::/72 | 2c19:dd:dd0:3dec:6dff:ffff:ffff:ffff |
| 111 | 2c19:dd:dd0:3dec:6e00::/72 | 2c19:dd:dd0:3dec:6eff:ffff:ffff:ffff |
| 112 | 2c19:dd:dd0:3dec:6f00::/72 | 2c19:dd:dd0:3dec:6fff:ffff:ffff:ffff |
| 113 | 2c19:dd:dd0:3dec:7000::/72 | 2c19:dd:dd0:3dec:70ff:ffff:ffff:ffff |
| 114 | 2c19:dd:dd0:3dec:7100::/72 | 2c19:dd:dd0:3dec:71ff:ffff:ffff:ffff |
| 115 | 2c19:dd:dd0:3dec:7200::/72 | 2c19:dd:dd0:3dec:72ff:ffff:ffff:ffff |
| 116 | 2c19:dd:dd0:3dec:7300::/72 | 2c19:dd:dd0:3dec:73ff:ffff:ffff:ffff |
| 117 | 2c19:dd:dd0:3dec:7400::/72 | 2c19:dd:dd0:3dec:74ff:ffff:ffff:ffff |
| 118 | 2c19:dd:dd0:3dec:7500::/72 | 2c19:dd:dd0:3dec:75ff:ffff:ffff:ffff |
| 119 | 2c19:dd:dd0:3dec:7600::/72 | 2c19:dd:dd0:3dec:76ff:ffff:ffff:ffff |
| 120 | 2c19:dd:dd0:3dec:7700::/72 | 2c19:dd:dd0:3dec:77ff:ffff:ffff:ffff |
| 121 | 2c19:dd:dd0:3dec:7800::/72 | 2c19:dd:dd0:3dec:78ff:ffff:ffff:ffff |
| 122 | 2c19:dd:dd0:3dec:7900::/72 | 2c19:dd:dd0:3dec:79ff:ffff:ffff:ffff |
| 123 | 2c19:dd:dd0:3dec:7a00::/72 | 2c19:dd:dd0:3dec:7aff:ffff:ffff:ffff |
| 124 | 2c19:dd:dd0:3dec:7b00::/72 | 2c19:dd:dd0:3dec:7bff:ffff:ffff:ffff |
| 125 | 2c19:dd:dd0:3dec:7c00::/72 | 2c19:dd:dd0:3dec:7cff:ffff:ffff:ffff |
| 126 | 2c19:dd:dd0:3dec:7d00::/72 | 2c19:dd:dd0:3dec:7dff:ffff:ffff:ffff |
| 127 | 2c19:dd:dd0:3dec:7e00::/72 | 2c19:dd:dd0:3dec:7eff:ffff:ffff:ffff |
| 128 | 2c19:dd:dd0:3dec:7f00::/72 | 2c19:dd:dd0:3dec:7fff:ffff:ffff:ffff |
| 129 | 2c19:dd:dd0:3dec:8000::/72 | 2c19:dd:dd0:3dec:80ff:ffff:ffff:ffff |
| 130 | 2c19:dd:dd0:3dec:8100::/72 | 2c19:dd:dd0:3dec:81ff:ffff:ffff:ffff |
| 131 | 2c19:dd:dd0:3dec:8200::/72 | 2c19:dd:dd0:3dec:82ff:ffff:ffff:ffff |
| 132 | 2c19:dd:dd0:3dec:8300::/72 | 2c19:dd:dd0:3dec:83ff:ffff:ffff:ffff |
| 133 | 2c19:dd:dd0:3dec:8400::/72 | 2c19:dd:dd0:3dec:84ff:ffff:ffff:ffff |
| 134 | 2c19:dd:dd0:3dec:8500::/72 | 2c19:dd:dd0:3dec:85ff:ffff:ffff:ffff |
| 135 | 2c19:dd:dd0:3dec:8600::/72 | 2c19:dd:dd0:3dec:86ff:ffff:ffff:ffff |
| 136 | 2c19:dd:dd0:3dec:8700::/72 | 2c19:dd:dd0:3dec:87ff:ffff:ffff:ffff |
| 137 | 2c19:dd:dd0:3dec:8800::/72 | 2c19:dd:dd0:3dec:88ff:ffff:ffff:ffff |
| 138 | 2c19:dd:dd0:3dec:8900::/72 | 2c19:dd:dd0:3dec:89ff:ffff:ffff:ffff |
| 139 | 2c19:dd:dd0:3dec:8a00::/72 | 2c19:dd:dd0:3dec:8aff:ffff:ffff:ffff |
| 140 | 2c19:dd:dd0:3dec:8b00::/72 | 2c19:dd:dd0:3dec:8bff:ffff:ffff:ffff |
| 141 | 2c19:dd:dd0:3dec:8c00::/72 | 2c19:dd:dd0:3dec:8cff:ffff:ffff:ffff |
| 142 | 2c19:dd:dd0:3dec:8d00::/72 | 2c19:dd:dd0:3dec:8dff:ffff:ffff:ffff |
| 143 | 2c19:dd:dd0:3dec:8e00::/72 | 2c19:dd:dd0:3dec:8eff:ffff:ffff:ffff |
| 144 | 2c19:dd:dd0:3dec:8f00::/72 | 2c19:dd:dd0:3dec:8fff:ffff:ffff:ffff |
| 145 | 2c19:dd:dd0:3dec:9000::/72 | 2c19:dd:dd0:3dec:90ff:ffff:ffff:ffff |
| 146 | 2c19:dd:dd0:3dec:9100::/72 | 2c19:dd:dd0:3dec:91ff:ffff:ffff:ffff |
| 147 | 2c19:dd:dd0:3dec:9200::/72 | 2c19:dd:dd0:3dec:92ff:ffff:ffff:ffff |
| 148 | 2c19:dd:dd0:3dec:9300::/72 | 2c19:dd:dd0:3dec:93ff:ffff:ffff:ffff |
| 149 | 2c19:dd:dd0:3dec:9400::/72 | 2c19:dd:dd0:3dec:94ff:ffff:ffff:ffff |
| 150 | 2c19:dd:dd0:3dec:9500::/72 | 2c19:dd:dd0:3dec:95ff:ffff:ffff:ffff |
| 151 | 2c19:dd:dd0:3dec:9600::/72 | 2c19:dd:dd0:3dec:96ff:ffff:ffff:ffff |
| 152 | 2c19:dd:dd0:3dec:9700::/72 | 2c19:dd:dd0:3dec:97ff:ffff:ffff:ffff |
| 153 | 2c19:dd:dd0:3dec:9800::/72 | 2c19:dd:dd0:3dec:98ff:ffff:ffff:ffff |
| 154 | 2c19:dd:dd0:3dec:9900::/72 | 2c19:dd:dd0:3dec:99ff:ffff:ffff:ffff |
| 155 | 2c19:dd:dd0:3dec:9a00::/72 | 2c19:dd:dd0:3dec:9aff:ffff:ffff:ffff |
| 156 | 2c19:dd:dd0:3dec:9b00::/72 | 2c19:dd:dd0:3dec:9bff:ffff:ffff:ffff |
| 157 | 2c19:dd:dd0:3dec:9c00::/72 | 2c19:dd:dd0:3dec:9cff:ffff:ffff:ffff |
| 158 | 2c19:dd:dd0:3dec:9d00::/72 | 2c19:dd:dd0:3dec:9dff:ffff:ffff:ffff |
| 159 | 2c19:dd:dd0:3dec:9e00::/72 | 2c19:dd:dd0:3dec:9eff:ffff:ffff:ffff |
| 160 | 2c19:dd:dd0:3dec:9f00::/72 | 2c19:dd:dd0:3dec:9fff:ffff:ffff:ffff |
| 161 | 2c19:dd:dd0:3dec:a000::/72 | 2c19:dd:dd0:3dec:a0ff:ffff:ffff:ffff |
| 162 | 2c19:dd:dd0:3dec:a100::/72 | 2c19:dd:dd0:3dec:a1ff:ffff:ffff:ffff |
| 163 | 2c19:dd:dd0:3dec:a200::/72 | 2c19:dd:dd0:3dec:a2ff:ffff:ffff:ffff |
| 164 | 2c19:dd:dd0:3dec:a300::/72 | 2c19:dd:dd0:3dec:a3ff:ffff:ffff:ffff |
| 165 | 2c19:dd:dd0:3dec:a400::/72 | 2c19:dd:dd0:3dec:a4ff:ffff:ffff:ffff |
| 166 | 2c19:dd:dd0:3dec:a500::/72 | 2c19:dd:dd0:3dec:a5ff:ffff:ffff:ffff |
| 167 | 2c19:dd:dd0:3dec:a600::/72 | 2c19:dd:dd0:3dec:a6ff:ffff:ffff:ffff |
| 168 | 2c19:dd:dd0:3dec:a700::/72 | 2c19:dd:dd0:3dec:a7ff:ffff:ffff:ffff |
| 169 | 2c19:dd:dd0:3dec:a800::/72 | 2c19:dd:dd0:3dec:a8ff:ffff:ffff:ffff |
| 170 | 2c19:dd:dd0:3dec:a900::/72 | 2c19:dd:dd0:3dec:a9ff:ffff:ffff:ffff |
| 171 | 2c19:dd:dd0:3dec:aa00::/72 | 2c19:dd:dd0:3dec:aaff:ffff:ffff:ffff |
| 172 | 2c19:dd:dd0:3dec:ab00::/72 | 2c19:dd:dd0:3dec:abff:ffff:ffff:ffff |
| 173 | 2c19:dd:dd0:3dec:ac00::/72 | 2c19:dd:dd0:3dec:acff:ffff:ffff:ffff |
| 174 | 2c19:dd:dd0:3dec:ad00::/72 | 2c19:dd:dd0:3dec:adff:ffff:ffff:ffff |
| 175 | 2c19:dd:dd0:3dec:ae00::/72 | 2c19:dd:dd0:3dec:aeff:ffff:ffff:ffff |
| 176 | 2c19:dd:dd0:3dec:af00::/72 | 2c19:dd:dd0:3dec:afff:ffff:ffff:ffff |
| 177 | 2c19:dd:dd0:3dec:b000::/72 | 2c19:dd:dd0:3dec:b0ff:ffff:ffff:ffff |
| 178 | 2c19:dd:dd0:3dec:b100::/72 | 2c19:dd:dd0:3dec:b1ff:ffff:ffff:ffff |
| 179 | 2c19:dd:dd0:3dec:b200::/72 | 2c19:dd:dd0:3dec:b2ff:ffff:ffff:ffff |
| 180 | 2c19:dd:dd0:3dec:b300::/72 | 2c19:dd:dd0:3dec:b3ff:ffff:ffff:ffff |
| 181 | 2c19:dd:dd0:3dec:b400::/72 | 2c19:dd:dd0:3dec:b4ff:ffff:ffff:ffff |
| 182 | 2c19:dd:dd0:3dec:b500::/72 | 2c19:dd:dd0:3dec:b5ff:ffff:ffff:ffff |
| 183 | 2c19:dd:dd0:3dec:b600::/72 | 2c19:dd:dd0:3dec:b6ff:ffff:ffff:ffff |
| 184 | 2c19:dd:dd0:3dec:b700::/72 | 2c19:dd:dd0:3dec:b7ff:ffff:ffff:ffff |
| 185 | 2c19:dd:dd0:3dec:b800::/72 | 2c19:dd:dd0:3dec:b8ff:ffff:ffff:ffff |
| 186 | 2c19:dd:dd0:3dec:b900::/72 | 2c19:dd:dd0:3dec:b9ff:ffff:ffff:ffff |
| 187 | 2c19:dd:dd0:3dec:ba00::/72 | 2c19:dd:dd0:3dec:baff:ffff:ffff:ffff |
| 188 | 2c19:dd:dd0:3dec:bb00::/72 | 2c19:dd:dd0:3dec:bbff:ffff:ffff:ffff |
| 189 | 2c19:dd:dd0:3dec:bc00::/72 | 2c19:dd:dd0:3dec:bcff:ffff:ffff:ffff |
| 190 | 2c19:dd:dd0:3dec:bd00::/72 | 2c19:dd:dd0:3dec:bdff:ffff:ffff:ffff |
| 191 | 2c19:dd:dd0:3dec:be00::/72 | 2c19:dd:dd0:3dec:beff:ffff:ffff:ffff |
| 192 | 2c19:dd:dd0:3dec:bf00::/72 | 2c19:dd:dd0:3dec:bfff:ffff:ffff:ffff |
| 193 | 2c19:dd:dd0:3dec:c000::/72 | 2c19:dd:dd0:3dec:c0ff:ffff:ffff:ffff |
| 194 | 2c19:dd:dd0:3dec:c100::/72 | 2c19:dd:dd0:3dec:c1ff:ffff:ffff:ffff |
| 195 | 2c19:dd:dd0:3dec:c200::/72 | 2c19:dd:dd0:3dec:c2ff:ffff:ffff:ffff |
| 196 | 2c19:dd:dd0:3dec:c300::/72 | 2c19:dd:dd0:3dec:c3ff:ffff:ffff:ffff |
| 197 | 2c19:dd:dd0:3dec:c400::/72 | 2c19:dd:dd0:3dec:c4ff:ffff:ffff:ffff |
| 198 | 2c19:dd:dd0:3dec:c500::/72 | 2c19:dd:dd0:3dec:c5ff:ffff:ffff:ffff |
| 199 | 2c19:dd:dd0:3dec:c600::/72 | 2c19:dd:dd0:3dec:c6ff:ffff:ffff:ffff |
| 200 | 2c19:dd:dd0:3dec:c700::/72 | 2c19:dd:dd0:3dec:c7ff:ffff:ffff:ffff |
| 201 | 2c19:dd:dd0:3dec:c800::/72 | 2c19:dd:dd0:3dec:c8ff:ffff:ffff:ffff |
| 202 | 2c19:dd:dd0:3dec:c900::/72 | 2c19:dd:dd0:3dec:c9ff:ffff:ffff:ffff |
| 203 | 2c19:dd:dd0:3dec:ca00::/72 | 2c19:dd:dd0:3dec:caff:ffff:ffff:ffff |
| 204 | 2c19:dd:dd0:3dec:cb00::/72 | 2c19:dd:dd0:3dec:cbff:ffff:ffff:ffff |
| 205 | 2c19:dd:dd0:3dec:cc00::/72 | 2c19:dd:dd0:3dec:ccff:ffff:ffff:ffff |
| 206 | 2c19:dd:dd0:3dec:cd00::/72 | 2c19:dd:dd0:3dec:cdff:ffff:ffff:ffff |
| 207 | 2c19:dd:dd0:3dec:ce00::/72 | 2c19:dd:dd0:3dec:ceff:ffff:ffff:ffff |
| 208 | 2c19:dd:dd0:3dec:cf00::/72 | 2c19:dd:dd0:3dec:cfff:ffff:ffff:ffff |
| 209 | 2c19:dd:dd0:3dec:d000::/72 | 2c19:dd:dd0:3dec:d0ff:ffff:ffff:ffff |
| 210 | 2c19:dd:dd0:3dec:d100::/72 | 2c19:dd:dd0:3dec:d1ff:ffff:ffff:ffff |
| 211 | 2c19:dd:dd0:3dec:d200::/72 | 2c19:dd:dd0:3dec:d2ff:ffff:ffff:ffff |
| 212 | 2c19:dd:dd0:3dec:d300::/72 | 2c19:dd:dd0:3dec:d3ff:ffff:ffff:ffff |
| 213 | 2c19:dd:dd0:3dec:d400::/72 | 2c19:dd:dd0:3dec:d4ff:ffff:ffff:ffff |
| 214 | 2c19:dd:dd0:3dec:d500::/72 | 2c19:dd:dd0:3dec:d5ff:ffff:ffff:ffff |
| 215 | 2c19:dd:dd0:3dec:d600::/72 | 2c19:dd:dd0:3dec:d6ff:ffff:ffff:ffff |
| 216 | 2c19:dd:dd0:3dec:d700::/72 | 2c19:dd:dd0:3dec:d7ff:ffff:ffff:ffff |
| 217 | 2c19:dd:dd0:3dec:d800::/72 | 2c19:dd:dd0:3dec:d8ff:ffff:ffff:ffff |
| 218 | 2c19:dd:dd0:3dec:d900::/72 | 2c19:dd:dd0:3dec:d9ff:ffff:ffff:ffff |
| 219 | 2c19:dd:dd0:3dec:da00::/72 | 2c19:dd:dd0:3dec:daff:ffff:ffff:ffff |
| 220 | 2c19:dd:dd0:3dec:db00::/72 | 2c19:dd:dd0:3dec:dbff:ffff:ffff:ffff |
| 221 | 2c19:dd:dd0:3dec:dc00::/72 | 2c19:dd:dd0:3dec:dcff:ffff:ffff:ffff |
| 222 | 2c19:dd:dd0:3dec:dd00::/72 | 2c19:dd:dd0:3dec:ddff:ffff:ffff:ffff |
| 223 | 2c19:dd:dd0:3dec:de00::/72 | 2c19:dd:dd0:3dec:deff:ffff:ffff:ffff |
| 224 | 2c19:dd:dd0:3dec:df00::/72 | 2c19:dd:dd0:3dec:dfff:ffff:ffff:ffff |
| 225 | 2c19:dd:dd0:3dec:e000::/72 | 2c19:dd:dd0:3dec:e0ff:ffff:ffff:ffff |
| 226 | 2c19:dd:dd0:3dec:e100::/72 | 2c19:dd:dd0:3dec:e1ff:ffff:ffff:ffff |
| 227 | 2c19:dd:dd0:3dec:e200::/72 | 2c19:dd:dd0:3dec:e2ff:ffff:ffff:ffff |
| 228 | 2c19:dd:dd0:3dec:e300::/72 | 2c19:dd:dd0:3dec:e3ff:ffff:ffff:ffff |
| 229 | 2c19:dd:dd0:3dec:e400::/72 | 2c19:dd:dd0:3dec:e4ff:ffff:ffff:ffff |
| 230 | 2c19:dd:dd0:3dec:e500::/72 | 2c19:dd:dd0:3dec:e5ff:ffff:ffff:ffff |
| 231 | 2c19:dd:dd0:3dec:e600::/72 | 2c19:dd:dd0:3dec:e6ff:ffff:ffff:ffff |
| 232 | 2c19:dd:dd0:3dec:e700::/72 | 2c19:dd:dd0:3dec:e7ff:ffff:ffff:ffff |
| 233 | 2c19:dd:dd0:3dec:e800::/72 | 2c19:dd:dd0:3dec:e8ff:ffff:ffff:ffff |
| 234 | 2c19:dd:dd0:3dec:e900::/72 | 2c19:dd:dd0:3dec:e9ff:ffff:ffff:ffff |
| 235 | 2c19:dd:dd0:3dec:ea00::/72 | 2c19:dd:dd0:3dec:eaff:ffff:ffff:ffff |
| 236 | 2c19:dd:dd0:3dec:eb00::/72 | 2c19:dd:dd0:3dec:ebff:ffff:ffff:ffff |
| 237 | 2c19:dd:dd0:3dec:ec00::/72 | 2c19:dd:dd0:3dec:ecff:ffff:ffff:ffff |
| 238 | 2c19:dd:dd0:3dec:ed00::/72 | 2c19:dd:dd0:3dec:edff:ffff:ffff:ffff |
| 239 | 2c19:dd:dd0:3dec:ee00::/72 | 2c19:dd:dd0:3dec:eeff:ffff:ffff:ffff |
| 240 | 2c19:dd:dd0:3dec:ef00::/72 | 2c19:dd:dd0:3dec:efff:ffff:ffff:ffff |
| 241 | 2c19:dd:dd0:3dec:f000::/72 | 2c19:dd:dd0:3dec:f0ff:ffff:ffff:ffff |
| 242 | 2c19:dd:dd0:3dec:f100::/72 | 2c19:dd:dd0:3dec:f1ff:ffff:ffff:ffff |
| 243 | 2c19:dd:dd0:3dec:f200::/72 | 2c19:dd:dd0:3dec:f2ff:ffff:ffff:ffff |
| 244 | 2c19:dd:dd0:3dec:f300::/72 | 2c19:dd:dd0:3dec:f3ff:ffff:ffff:ffff |
| 245 | 2c19:dd:dd0:3dec:f400::/72 | 2c19:dd:dd0:3dec:f4ff:ffff:ffff:ffff |
| 246 | 2c19:dd:dd0:3dec:f500::/72 | 2c19:dd:dd0:3dec:f5ff:ffff:ffff:ffff |
| 247 | 2c19:dd:dd0:3dec:f600::/72 | 2c19:dd:dd0:3dec:f6ff:ffff:ffff:ffff |
| 248 | 2c19:dd:dd0:3dec:f700::/72 | 2c19:dd:dd0:3dec:f7ff:ffff:ffff:ffff |
| 249 | 2c19:dd:dd0:3dec:f800::/72 | 2c19:dd:dd0:3dec:f8ff:ffff:ffff:ffff |
| 250 | 2c19:dd:dd0:3dec:f900::/72 | 2c19:dd:dd0:3dec:f9ff:ffff:ffff:ffff |
| 251 | 2c19:dd:dd0:3dec:fa00::/72 | 2c19:dd:dd0:3dec:faff:ffff:ffff:ffff |
| 252 | 2c19:dd:dd0:3dec:fb00::/72 | 2c19:dd:dd0:3dec:fbff:ffff:ffff:ffff |
| 253 | 2c19:dd:dd0:3dec:fc00::/72 | 2c19:dd:dd0:3dec:fcff:ffff:ffff:ffff |
| 254 | 2c19:dd:dd0:3dec:fd00::/72 | 2c19:dd:dd0:3dec:fdff:ffff:ffff:ffff |
| 255 | 2c19:dd:dd0:3dec:fe00::/72 | 2c19:dd:dd0:3dec:feff:ffff:ffff:ffff |
| 256 | 2c19:dd:dd0:3dec:ff00::/72 | 2c19:dd:dd0:3dec:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |